Send group message
POST {{baseUrl}}/v3/messages
Sends a message into a v3 group chat. Source: group_messages/endpoints/createMessageController.ts.
Response: 200 with { "data": <created ChatMessage> } — same shape as one entry in “Get group messages” → data.messages.
Request body
Section titled “Request body”{ "group_id": "{{groupId}}", "message": "On my way!"}Examples
Section titled “Examples”curl --request POST 'https://api.firstdelivery.com/api/v3/messages' \ --header 'Content-Type: application/json' \ --data '{ "group_id": "{{groupId}}", "message": "On my way!"}'const response = await fetch("https://api.firstdelivery.com/api/v3/messages", { "method": "POST", "headers": { "Content-Type": "application/json" }, "body": "{\n \"group_id\": \"{{groupId}}\",\n \"message\": \"On my way!\"\n}"})const data = await response.json()import requests
response = requests.request( "POST", "https://api.firstdelivery.com/api/v3/messages", headers={ 'Content-Type': 'application/json'}, data="{\n \"group_id\": \"{{groupId}}\",\n \"message\": \"On my way!\"\n}",)response.raise_for_status()Saved responses
Section titled “Saved responses”{ "data": { "id": 1024, "group_id": 7, "from_user_id": "8e17d5db-da6e-453c-966f-bfc72c125094", "message_text": "On my way!", "media_urls": [], "user_name": "Jane Doe", "user_role": "runner", "created_at": "2026-06-22T14:05:00.000Z" }}
